> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Members

> Get org member via the Junction API. Requires authentication with your team API key.

<Info>
  [Junction Management API](/api-details/junction-management-api) is available for [the Scale plan](https://tryvital.io/pricing).
</Info>

<Tip>
  The base URL of this endpoint is `https://api.management.junction.com/`.

  The endpoint accepts only [Management Key](/api-details/junction-management-api#authentication) (`X-Management-Key`).
  Team API Key is not accepted.
</Tip>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.management.junction.com/v1/org/{org_id}/member \
    --header 'X-Vital-Org-Key: <api-key>'
  ```
</RequestExample>


## OpenAPI

````yaml get /v1/org/{org_id}/member
openapi: 3.1.0
info:
  title: Org Management
  version: 0.1.0
servers:
  - url: https://api.management.junction.com
    description: Production Management API server
security:
  - ManagementKey: []
paths:
  /v1/org/{org_id}/member:
    get:
      tags:
        - Org Member
      summary: List Members In Org
      operationId: list_members_in_org_v1_org__org_id__member_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: search_query
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                pattern: ^[A-Za-zÀ-ÖØ-öø-ÿ0-9(),/:'|&_\-\s’]{0,80}$
              - type: 'null'
            title: Search Query
        - name: next_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Next Cursor
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientFacingOrgMemberListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ClientFacingOrgMemberListResponse:
      properties:
        members:
          items:
            $ref: '#/components/schemas/ClientFacingOrgMember'
          type: array
          title: Members
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - members
        - next_cursor
      title: ClientFacingOrgMemberListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientFacingOrgMember:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        email:
          type: string
          title: Email
        created_on:
          type: string
          format: date-time
          title: Created On
        role:
          anyOf:
            - type: string
              enum:
                - org_admin
                - team_admin
            - type: string
              const: no_role
          title: Role
        team_role_bindings:
          anyOf:
            - items:
                $ref: '#/components/schemas/TeamRoleBinding'
              type: array
            - type: 'null'
          title: Team Role Bindings
      type: object
      required:
        - id
        - name
        - email
        - created_on
        - role
        - team_role_bindings
      title: ClientFacingOrgMember
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TeamRoleBinding:
      properties:
        team_id:
          type: string
          format: uuid
          title: Team Id
      type: object
      required:
        - team_id
      title: TeamRoleBinding
  securitySchemes:
    ManagementKey:
      type: apiKey
      in: header
      name: X-Management-Key

````